export declare abstract class ResourceHandler {
    abstract getTargetRelativeTo(source: string, target: string): Promise<string>;
    abstract has(target: string): Promise<boolean>;
    abstract get(target: string): Promise<string>;
    abstract resolve(target: string): Promise<string>;
}
export declare class DefaultResourceHandler extends ResourceHandler {
    getTargetRelativeTo(source: string, target: string): Promise<string>;
    has(target: string): Promise<boolean>;
    get(target: string): Promise<string>;
    resolve(target: string): Promise<string>;
}
