"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomObject = exports.CustomValueWithIntrinsics = void 0;
const base_1 = require("./base");
class CustomValueWithIntrinsics extends base_1.CustomValue {
    static getIntrinsics() {
        return this.intrinsics;
    }
    static addIntrinsic(key, fn) {
        this.intrinsics.set(key, fn);
    }
    static clearIntrinsics() {
        this.intrinsics.clear();
    }
    getIntrinsics() {
        return this.constructor.intrinsics;
    }
}
exports.CustomValueWithIntrinsics = CustomValueWithIntrinsics;
class CustomObject extends CustomValueWithIntrinsics {
}
exports.CustomObject = CustomObject;
