"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LimitedStack = void 0;
const stack_1 = require("./stack");
class LimitedStack extends stack_1.Stack {
    constructor(limit, value) {
        super(value);
        this.limit = limit;
    }
    push(value) {
        if (this.length >= this.limit) {
            throw new Error('Exceeded stack limit!');
        }
        return super.push(value);
    }
}
exports.LimitedStack = LimitedStack;
