import { CustomValue } from '../types/base';
export type ObjectValueKeyPair = [CustomValue, CustomValue];
export declare class ObjectValue {
    private data;
    constructor(entries?: ObjectValue | ObjectValueKeyPair[] | null);
    get(mapKey: CustomValue): CustomValue;
    has(mapKey: CustomValue): boolean;
    set(mapKey: CustomValue, mapValue: CustomValue): this;
    delete(mapKey: CustomValue): boolean;
    values(): CustomValue[];
    keys(): CustomValue[];
    entries(): ObjectValueKeyPair[];
    get size(): number;
    forEach(callback: (value: CustomValue, key: CustomValue, map: ObjectValue) => any): void;
    fork(): ObjectValue;
    extend(objVal: ObjectValue): this;
    clear(): void;
}
