import { ErrorHandler } from './handler/error';
import { OutputHandler } from './handler/output';
import { ResourceHandler } from './handler/resource';
export interface HandlerContainerOptions {
    resourceHandler?: ResourceHandler;
    outputHandler?: OutputHandler;
    errorHandler?: ErrorHandler;
}
export declare class HandlerContainer {
    readonly resourceHandler: ResourceHandler;
    readonly outputHandler: OutputHandler;
    readonly errorHandler: ErrorHandler;
    constructor(options?: HandlerContainerOptions);
}
