"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lookupPath = void 0;
const miniscript_core_1 = require("miniscript-core");
function lookupPath(item) {
    const path = [item];
    let current = item.base;
    while (current instanceof miniscript_core_1.ASTMemberExpression ||
        current instanceof miniscript_core_1.ASTIndexExpression ||
        current instanceof miniscript_core_1.ASTSliceExpression) {
        path.unshift(current);
        current = current.base;
    }
    return path;
}
exports.lookupPath = lookupPath;
