import { CustomValue } from '../types/base';
import { CustomBoolean } from '../types/boolean';
import { CustomList } from '../types/list';
import { CustomMap } from '../types/map';
import { CustomNil } from '../types/nil';
import { CustomNumber } from '../types/number';
import { CustomString } from '../types/string';
export declare const absClamp01: (d: number) => number;
export declare function evalAdd(a: CustomValue, b: CustomValue): CustomNil | CustomNumber | CustomString | CustomMap | CustomList;
export declare function evalSub(a: CustomValue, b: CustomValue): CustomValue | CustomNumber;
export declare function evalMul(a: CustomValue, b: CustomValue): CustomValue | CustomNumber;
export declare function evalDiv(a: CustomValue, b: CustomValue): CustomValue | CustomNumber;
export declare function evalBitwiseOr(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalBitwiseAnd(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalBitwiseRightShift(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalBitwiseUnsignedRightShift(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalBitwiseLeftShift(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalLessThan(a: CustomValue, b: CustomValue): CustomNil | CustomBoolean;
export declare function evalLessThanOrEqual(a: CustomValue, b: CustomValue): CustomNil | CustomBoolean;
export declare function evalGreaterThan(a: CustomValue, b: CustomValue): CustomNil | CustomBoolean;
export declare function evalGreaterThanOrEqual(a: CustomValue, b: CustomValue): CustomNil | CustomBoolean;
export declare function evalEqual(a: CustomValue, b: CustomValue): CustomBoolean;
export declare function evalNotEqual(a: CustomValue, b: CustomValue): CustomBoolean;
export declare function evalMod(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalPow(a: CustomValue, b: CustomValue): CustomNil | CustomNumber;
export declare function evalAnd(a: CustomValue, b: CustomValue): CustomNumber;
export declare function evalOr(a: CustomValue, b: CustomValue): CustomNumber;
